Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedgerDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedgerDetail.cs	(revision 301)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedgerDetail.cs	(revision 302)
@@ -58,6 +58,7 @@
             JoinTitleFlg,           // 工事名称タイトル
             SalaryOnRegist,         // 登録時月額給与
             PurchaseOrderFlg,       // 注文書発行フラグ
+            DetailCount,            // 明細番号
 
             EntryDate,
             UpdateDate,
@@ -109,6 +110,7 @@
             strcmd.Append(", JoinTitleFlg");             // 工事名称タイトル
             strcmd.Append(", SalaryOnRegist");           // 登録時月額給与
             strcmd.Append(", PurchaseOrderFlg");         // 注文書発行フラグ
+            strcmd.Append(", DetailCount");              // 明細番号
 
             strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
             strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
@@ -242,6 +244,7 @@
                 strcmd.AppendFormat(", {0}", work.JoinTitleFlg);            // 工事名称タイトル
                 strcmd.AppendFormat(", {0}", work.SalaryOnRegist);          // 登録時月額給与
                 strcmd.AppendFormat(", {0}", work.PurchaseOrderFlg);        // 注文書発行フラグ
+                strcmd.AppendFormat(", {0}", work.DetailCount);             // 明細番号
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -314,6 +317,7 @@
                     strcmd.AppendFormat(", {0}", work.JoinTitleFlg);            // 工事名称タイトル
                     strcmd.AppendFormat(", {0}", work.SalaryOnRegist);          // 登録時月額給与
                     strcmd.AppendFormat(", {0}", work.PurchaseOrderFlg);        // 注文書発行フラグ
+                    strcmd.AppendFormat(", {0}", work.DetailCount);             // 明細番号
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -377,6 +381,7 @@
                 strcmd.AppendFormat(", JoinTitleFlg = {0}", data.JoinTitleFlg);                 // 工事名称タイトルフラグ
                 strcmd.AppendFormat(", SalaryOnRegist = {0}", data.SalaryOnRegist);             // 登録時月額給与
                 strcmd.AppendFormat(", PurchaseOrderFlg = {0}", data.PurchaseOrderFlg);         // 注文書発行フラグ
+                strcmd.AppendFormat(", DetailCount = {0}", data.DetailCount);                   // 明細番号
 
                 strcmd.Append(", UpdateDate = NOW()");
                 strcmd.Append(AddSQLString);
@@ -458,6 +463,7 @@
                 wrk.JoinTitleFlg = int.Parse(objwrk[(int)TableColumn.JoinTitleFlg].ToString());                  // 工事名称タイトルフラグ
                 wrk.SalaryOnRegist = CommonMotions.cnvDouble(objwrk[(int)TableColumn.SalaryOnRegist]);           // 登録時月額給与
                 wrk.PurchaseOrderFlg = int.Parse(objwrk[(int)TableColumn.PurchaseOrderFlg].ToString());          // 注文書発行フラグ
+                wrk.DetailCount = int.Parse(objwrk[(int)TableColumn.DetailCount].ToString());                    // 明細番号
 
                 wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
                 wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
@@ -617,6 +623,9 @@
                     case (int)TableColumn.PurchaseOrderFlg:      // 注文書発行フラグ
                         strcmd.AppendFormat(" PurchaseOrderFlg = {0}", ((int)value).ToString());
                         break;
+                    case (int)TableColumn.DetailCount:          // 明細番号
+                        strcmd.AppendFormat(" DetailCount = {0}", ((int)value).ToString());
+                        break;
 
                     default:
                         break;
@@ -637,16 +646,16 @@
         /// <param name="OutsourcingFlg"></param>
         /// <param name="LineCount"></param>
         /// <returns></returns>
-        public string CreatePrimarykeyString(int ConstructionCode, int GroupCount = 0, int LineCount = 0)
+        public string CreatePrimarykeyString(int ConstructionCode, int GroupCount = 0, int LineCount = 0, string strArias = "")
         {
             StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork.AppendFormat(" Where ConstructionCode = {0}", ConstructionCode);
+                strWork.AppendFormat(" Where {0}ConstructionCode = {1}", strArias, ConstructionCode);
                 if (GroupCount != 0)
-                    strWork.AppendFormat(" And GroupCount = {0}", GroupCount);
+                    strWork.AppendFormat(" And {0}GroupCount = {1}", strArias, GroupCount);
                 if (LineCount != 0)
-                    strWork.AppendFormat(" And LineCount = {0}", LineCount);
+                    strWork.AppendFormat(" And {0}LineCount = {1}", strArias, LineCount);
 
                 return strWork.ToString();
             }
@@ -697,5 +706,45 @@
             return iRet;
         }
         #endregion
+
+        #region 明細番号の最大値を取得
+        /// <summary>
+        /// 明細の最大値を取得する
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public int SelectMaxDetailCount(string AddSQLString, bool bConnect = true)
+        {
+            // インターフェース
+            StringBuilder strcmd = new StringBuilder();
+            ArrayList arData = new ArrayList();
+            int iRet = 0;
+            try
+            {
+                // SQL作成
+                strcmd.Append("SELECT IFNULL(MAX(DetailCount), 0) FROM ConstructionLedgerDetail");
+                strcmd.Append(AddSQLString);
+
+                // SQL実行
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return iRet;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    if (objwrk[0].ToString().Equals("null"))
+                        iRet = 0;
+                    else
+                        iRet = int.Parse(objwrk[0].ToString());
+                }
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+            }
+            return iRet;
+        }
+        #endregion
     }
 }
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedgerExcute.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedgerExcute.cs	(revision 301)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedgerExcute.cs	(revision 302)
@@ -352,7 +352,7 @@
         /// 1項目の更新を行う
         /// </summary>
         /// <returns></returns>
-        public bool UpdateFeild(int ConstructionCode, int FeildNo, object value, bool bConnect = true)
+        public bool UpdateFeild(string strWhere, int FeildNo, object value, bool bConnect = true)
         {
             StringBuilder strcmd = new StringBuilder();
             try
@@ -389,7 +389,7 @@
                 }
 
                 strcmd.Append(", UpdateDate = NOW()");
-                strcmd.Append(CreatePrimarykeyString(ConstructionCode));
+                strcmd.Append(strWhere);
 
                 if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionMaterialInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionMaterialInfo.cs	(revision 301)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionMaterialInfo.cs	(revision 302)
@@ -122,6 +122,7 @@
 
                 foreach (ConstructionMaterialInfo work in data)
                 {
+                    strcmd.Clear();
                     strcmd.Append("INSERT INTO ConstructionMaterialInfo");
 
                     strcmd.Append(" VALUES (");
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODeadLineMaster.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODeadLineMaster.cs	(revision 301)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODeadLineMaster.cs	(revision 302)
@@ -119,6 +119,7 @@
 
                 foreach (DeadLineMaster work in data)
                 {
+                    strcmd.Clear();
                     strcmd.Append("INSERT INTO DeadLineMaster");
 
                     strcmd.Append(" VALUES (");
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCategoryName.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCategoryName.cs	(revision 301)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCategoryName.cs	(revision 302)
@@ -120,6 +120,7 @@
 
                 foreach (CategoryNameMaster work in data)
                 {
+                    strcmd.Clear();
                     strcmd.Append("INSERT INTO CategoryNameMaster");
 
                     strcmd.Append(" VALUES (");
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMExpenses.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMExpenses.cs	(revision 301)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMExpenses.cs	(revision 302)
@@ -179,6 +179,7 @@
 
                 foreach (ExpensesMaster work in data)
                 {
+                    strcmd.Clear();
                     strcmd.Append("INSERT INTO ExpensesMaster");
 
                     strcmd.Append(" VALUES (");
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialInfo.cs	(revision 301)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialInfo.cs	(revision 302)
@@ -112,6 +112,7 @@
 
                 foreach (MaterialInfo work in data)
                 {
+                    strcmd.Clear();
                     strcmd.Append("INSERT INTO MaterialInfo");
 
                     strcmd.Append(" VALUES (");
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialItem.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialItem.cs	(revision 301)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialItem.cs	(revision 302)
@@ -120,6 +120,7 @@
 
                 foreach (MaterialItemMaster work in data)
                 {
+                    strcmd.Clear();
                     strcmd.Append("INSERT INTO MaterialItemMaster");
 
                     strcmd.Append(" VALUES (");
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialRecordInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialRecordInfo.cs	(revision 301)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialRecordInfo.cs	(revision 302)
@@ -123,6 +123,7 @@
 
                 foreach (MaterialRecordInfo work in data)
                 {
+                    strcmd.Clear();
                     strcmd.Append("INSERT INTO MaterialRecordInfo");
 
                     strcmd.Append(" VALUES (");
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialTypes.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialTypes.cs	(revision 301)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialTypes.cs	(revision 302)
@@ -111,6 +111,7 @@
 
                 foreach (MaterialKindMaster work in data)
                 {
+                    strcmd.Clear();
                     strcmd.Append("INSERT INTO MaterialKindMaster");
 
                     strcmd.Append(" VALUES (");
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPaymentApprovalInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPaymentApprovalInfo.cs	(revision 301)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPaymentApprovalInfo.cs	(revision 302)
@@ -201,6 +201,7 @@
 
                 foreach (PaymentApprovalInfo work in data)
                 {
+                    strcmd.Clear();
                     strcmd.Append("INSERT INTO PaymentApprovalInfo");
 
                     strcmd.Append(" VALUES (");
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPaymentDataDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPaymentDataDetail.cs	(revision 301)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPaymentDataDetail.cs	(revision 302)
@@ -143,6 +143,7 @@
 
                 foreach (PaymentDataDetail work in data)
                 {
+                    strcmd.Clear();
                     strcmd.Append("INSERT INTO PaymentDataDetail");
 
                     strcmd.Append(" VALUES (");
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrderDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrderDetail.cs	(revision 301)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrderDetail.cs	(revision 302)
@@ -46,8 +46,8 @@
             UnitName,		        // 単位
             UnitPrice,		        // 単価
             OrdersLinePrice,		// 金額
-            SourceCode,             // 予算作成時工事番号
-            SourceLineCnt,	        // 注文書作成時台帳行番号
+            SourceCode,             // 台帳工事番号
+            SourceDetailCnt,	    // 台帳明細番号
             DataTypeFlag,           // 明細行データタイプフラグ
 
             EntryDate,
@@ -89,8 +89,8 @@
             strcmd.Append(", UnitName");		        // 単位
             strcmd.Append(", UnitPrice");		        // 単価
             strcmd.Append(", OrdersLinePrice");		    // 金額
-            strcmd.Append(", SourceCode");              // 予算作成時工事番号
-            strcmd.Append(", SourceLineCnt");	        // 注文書作成時台帳行番号
+            strcmd.Append(", SourceCode");              // 台帳工事番号
+            strcmd.Append(", SourceDetailCnt");	        // 台帳明細番号
             strcmd.Append(", DataTypeFlag");            // 明細行データタイプフラグ
 
             strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
@@ -217,8 +217,8 @@
                 strcmd.AppendFormat(",'{0}'", work.UnitName);		        // 単位
                 strcmd.AppendFormat(", {0}", work.UnitPrice);		        // 単価
                 strcmd.AppendFormat(", {0}", work.OrdersLinePrice);         // 金額
-                strcmd.AppendFormat(", {0}", work.SourceCode);              // 予算作成時工事番号
-                strcmd.AppendFormat(", {0}", work.SourceLineCnt);	        // 注文書作成時台帳行番号
+                strcmd.AppendFormat(", {0}", work.SourceCode);              // 台帳工事番号
+                strcmd.AppendFormat(", {0}", work.SourceDetailCnt);	        // 台帳明細番号
                 strcmd.AppendFormat(", {0}", work.DataTypeFlag);            // 明細行データタイプフラグ
 
 
@@ -279,8 +279,8 @@
                     strcmd.AppendFormat(",'{0}'", work.UnitName);		        // 単位
                     strcmd.AppendFormat(", {0}", work.UnitPrice);		        // 単価
                     strcmd.AppendFormat(", {0}", work.OrdersLinePrice);         // 金額
-                    strcmd.AppendFormat(", {0}", work.SourceCode);              // 予算作成時工事番号
-                    strcmd.AppendFormat(", {0}", work.SourceLineCnt);	        // 注文書作成時台帳行番号
+                    strcmd.AppendFormat(", {0}", work.SourceCode);              // 台帳工事番号
+                    strcmd.AppendFormat(", {0}", work.SourceDetailCnt);	        // 台帳明細番号
                     strcmd.AppendFormat(", {0}", work.DataTypeFlag);            // 明細行データタイプフラグ
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
@@ -332,8 +332,8 @@
                 strcmd.AppendFormat(", UnitName = '{0}'", data.UnitName);		                // 単位
                 strcmd.AppendFormat(", UnitPrice = {0}", data.UnitPrice);		                // 単価
                 strcmd.AppendFormat(", OrdersLinePrice = {0}", data.OrdersLinePrice);		    // 金額
-                strcmd.AppendFormat(", SourceCode = {0}", data.SourceCode);                     // 予算作成時工事番号
-                strcmd.AppendFormat(", SourceLineCnt = {0}", data.SourceLineCnt);	            // 注文書作成時台帳行番号
+                strcmd.AppendFormat(", SourceCode = {0}", data.SourceCode);                     // 台帳工事番号
+                strcmd.AppendFormat(", SourceDetailCnt = {0}", data.SourceDetailCnt);	        // 台帳明細番号
                 strcmd.AppendFormat(", DataTypeFlag = {0}", data.DataTypeFlag);                 // 明細行データタイプフラグ
 
                 strcmd.Append(", UpdateDate = NOW()");
@@ -383,7 +383,7 @@
         /// 1項目の更新を行う
         /// </summary>
         /// <returns></returns>
-        public bool UpdateFeild(int ConstructionCode, int FeildNo, object value, bool bConnect = true)
+        public bool UpdateFeild(string strWhere, int FeildNo, object value, bool bConnect = true)
         {
             StringBuilder strcmd = new StringBuilder();
             try
@@ -429,11 +429,11 @@
                     case (int)TableColumn.OrdersLinePrice:	// 金額
                         strcmd.AppendFormat(" OrdersLinePrice = {0}", ((double)value).ToString());
                         break;
-                    case (int)TableColumn.SourceCode:       // 予算作成時工事番号
+                    case (int)TableColumn.SourceCode:       // 台帳工事番号
                         strcmd.AppendFormat(" SourceCode = {0}", ((int)value).ToString());
                         break;
-                    case (int)TableColumn.SourceLineCnt:	// 注文書作成時台帳行番号
-                        strcmd.AppendFormat(" SourceLineCnt = {0}", ((int)value).ToString());
+                    case (int)TableColumn.SourceDetailCnt:	// 台帳明細番号
+                        strcmd.AppendFormat(" SourceDetailCnt = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.DataTypeFlag:     // 明細行データタイプフラグ
                         strcmd.AppendFormat(" DataTypeFlag = {0}", ((int)value).ToString());
@@ -441,7 +441,7 @@
                 }
 
                 strcmd.Append(", UpdateDate = NOW()");
-                strcmd.Append(CreatePrimarykeyString(ConstructionCode));
+                strcmd.Append(strWhere);
 
                 if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
@@ -480,8 +480,8 @@
                 wrk.UnitName = objwrk[(int)TableColumn.UnitName].ToString();		                            // 単位
                 wrk.UnitPrice = CommonMotions.cnvDouble(objwrk[(int)TableColumn.UnitPrice]);		            // 単価
                 wrk.OrdersLinePrice = CommonMotions.cnvDouble(objwrk[(int)TableColumn.OrdersLinePrice]);		// 金額
-                wrk.SourceCode = int.Parse(objwrk[(int)TableColumn.SourceCode].ToString());                     // 予算作成時工事番号
-                wrk.SourceLineCnt = int.Parse(objwrk[(int)TableColumn.SourceLineCnt].ToString());	            // 注文書作成時台帳行番号
+                wrk.SourceCode = int.Parse(objwrk[(int)TableColumn.SourceCode].ToString());                     // 台帳工事番号
+                wrk.SourceDetailCnt = int.Parse(objwrk[(int)TableColumn.SourceDetailCnt].ToString());	        // 台帳明細番号
                 wrk.DataTypeFlag = int.Parse(objwrk[(int)TableColumn.DataTypeFlag].ToString());                 // 明細行データタイプフラグ
 
 
@@ -509,7 +509,7 @@
         /// <param name="OutsourcingFlg"></param>
         /// <param name="LineCount"></param>
         /// <returns></returns>
-        public string CreatePrimarykeyString(int ConstructionCode, int SeqNo = 0, int GroupCount = 0, int LineCount = 0, string strArias = "")
+        public string CreatePrimarykeyString(int ConstructionCode, int SeqNo = 0, int GroupCount = -1, int LineCount = 0, string strArias = "")
         {
             StringBuilder strWork = new StringBuilder();
             try
@@ -517,7 +517,7 @@
                 strWork.AppendFormat(" Where {0}ConstructionCode = {1}", strArias, ConstructionCode);
                 if (SeqNo != 0)
                     strWork.AppendFormat(" And {0}SEQNO = {1}", strArias, SeqNo);
-                if (GroupCount != 0)
+                if (GroupCount != -1)
                     strWork.AppendFormat(" And {0}GROUPCOUNT = {1}", strArias, GroupCount);
                 if (LineCount != 0)
                     strWork.AppendFormat(" And {0}LineCount = {1}", strArias, LineCount);
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/ConstructionLedgerDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/ConstructionLedgerDetail.cs	(revision 301)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/ConstructionLedgerDetail.cs	(revision 302)
@@ -122,6 +122,7 @@
         private int     m_JoinTitleFlg = 0;                 // 工事名称タイトル
         private double  m_SalaryOnRegist = 0;               // 登録時月額給与
         private int     m_PurchaseOrderFlg = 0;             // 注文書発行フラグ
+        private int     m_DetailCount = 0;                  // 明細番号
 
         private DateTime m_EntryDate = DateTime.Now;        // 登録日付
         private DateTime m_UpdateDate = DateTime.Now;       // 更新日付
@@ -324,6 +325,14 @@
             get { return m_PurchaseOrderFlg; }
             set { m_PurchaseOrderFlg = value; }
         }
+        /// <summary>
+        /// 明細番号
+        /// </summary>
+        public int DetailCount
+        {
+            get { return m_DetailCount; }
+            set { m_DetailCount = value; }
+        }
 
         /// <summary>
         /// 登録日付
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/PurchaseOrderDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/PurchaseOrderDetail.cs	(revision 301)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/PurchaseOrderDetail.cs	(revision 302)
@@ -68,8 +68,8 @@
         private string  m_UnitName = string.Empty;	        // 単位
         private double  m_UnitPrice = 0;	                // 単価
         private double  m_OrdersLinePrice = 0;	            // 金額
-        private double  m_SourceCode = 0;                   // 予算作成時工事番号
-        private int     m_SourceLineCnt = 0;                // 注文書作成時台帳行番号
+        private long    m_SourceCode = 0;                   // 台帳工事番号
+        private int     m_SourceDetailCnt = 0;              // 台帳明細番号
 
         private int     m_DataTypeFlag = 0;                 // 明細行データタイプフラグ
 
@@ -179,20 +179,20 @@
             set { m_OrdersLinePrice = value; }
         }
         /// <summary>
-        /// 予算作成時工事番号
+        /// 台帳工事番号
         /// </summary>
-        public double SourceCode
+        public long SourceCode
         {
             get { return m_SourceCode; }
             set { m_SourceCode = value; }
         }
         /// <summary>
-        /// 注文書作成時台帳行番号
+        /// 台帳明細番号
         /// </summary>
-        public int SourceLineCnt
+        public int SourceDetailCnt
         {
-            get { return m_SourceLineCnt; }
-            set { m_SourceLineCnt = value; }
+            get { return m_SourceDetailCnt; }
+            set { m_SourceDetailCnt = value; }
         }
 
         /// <summary>
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstractionList/FrmConstructionListAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstractionList/FrmConstructionListAuxiliary.cs	(revision 301)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstractionList/FrmConstructionListAuxiliary.cs	(revision 302)
@@ -1041,7 +1041,7 @@
                 strSQL.Append(" Left Join processapprovaldetail AS A3");
                 strSQL.Append("    On A3.ConstructionCode = A2.ConstructionCode");
                 strSQL.AppendFormat("    And A3.ApprovalCode = {0}", (int)ClsExcute.ApprovalListNo.PurchaseOrderEntryApproval);
-                strSQL.Append("    And A3.LinkCode = A2.SeqNo");
+                strSQL.Append("          And A3.LinkCode = A2.SeqNo");
                 strSQL.Append(" Left Join processapproval AS A4");
                 strSQL.Append("    On A4.ConstructionCode = A3.ConstructionCode");
                 strSQL.Append("    And A4.ApprovalCode = A3.ApprovalCode");
@@ -1056,8 +1056,9 @@
                 strSQL.AppendFormat(" WHERE A1.CONSTRUCTIONCODE = {0}", ParentCode);
                 strSQL.AppendFormat("  And A1.SOURCECODE = {0}", SourceCode);
                 strSQL.AppendFormat("  AND A1.GROUPCOUNT = {0}", (int)FrmConstructionLedger.DataGroup.ConstructionCosts);
-                strSQL.Append("  AND A1.COMPANYCODE > 0");
-                strSQL.AppendFormat("  And A1.PurchaseOrderFlg <> {0}",(int)ConstructionLedgerDetail.PurOrderFlgDef.NotMakingData);
+                strSQL.Append("        AND A1.COMPANYCODE > 0");
+                strSQL.AppendFormat("  And (A1.PurchaseOrderFlg > {0}", (int)ConstructionLedgerDetail.PurOrderFlgDef.ChangeOld);
+                strSQL.AppendFormat("  And A1.PurchaseOrderFlg <> {0})", (int)ConstructionLedgerDetail.PurOrderFlgDef.NotMakingData);
 
                 strSQL.AppendFormat("  And ((ConstrType.PublicFlg != {0}", (int)ConstructionTypeMaster.ConstructionTypeDef.Community);
                 strSQL.AppendFormat("    And A1.EXECUTIONAMOUNT >= {0})", CommonDefine.s_PrintOutPrice);
@@ -1069,8 +1070,8 @@
 
                 ArrayList arList = new ArrayList();
                 if (!OrderDB.ExecuteReader(strSQL.ToString(), ref arList)) return false;
-                if (arList.Count == 0) return false;
-
+                if (arList.Count == 0) return true;
+                
                 bool bRet = true;
                 foreach (object[] objRec in arList)
                 {
